commit:     e101fdeb53f965dae2a7d901ae8d728ffcb2b834
Author:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 24 22:30:17 2019 +0000
Commit:     Andrey Utkin <andrey_utkin <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 00:17:59 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e101fdeb

sys-kernel/raspberrypi-image: 9999: add logic for non-live releases

This allows adding release ebuilds by copying the file verbatim.

Auto-resolution of tag version from ebuild was contributed by Conrad
Kostecki <conrad <AT> kostecki.com>.

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Andrey Utkin <andrey_utkin <AT> gentoo.org>

 sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild 
b/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
index ac28eee28fe..47546b5babf 100644
--- a/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-9999.ebuild
@@ -3,15 +3,25 @@
 
 EAPI=7
 
-inherit git-r3 mount-boot
+inherit mount-boot
 
 DESCRIPTION="Raspberry Pi (all versions) kernel and modules"
 HOMEPAGE="https://github.com/raspberrypi/firmware";
 LICENSE="GPL-2 raspberrypi-videocore-bin"
 SLOT="0"
-EGIT_REPO_URI="https://github.com/raspberrypi/firmware";
 RESTRICT="binchecks strip"
 
+if [[ "${PV}" == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/raspberrypi/firmware";
+else
+       [[ "$(ver_cut 4)" == 'p' ]] || die "Unsupported version format, tweak 
the ebuild."
+       MY_PV="1.$(ver_cut 5)"
+       
SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+       S="${WORKDIR}/firmware-${MY_PV}"
+       KEYWORDS="-* ~arm"
+fi
+
 src_install() {
        insinto /lib/modules
        doins -r modules/*

Reply via email to